Latest 1.0.0
Homepage https://github.com/RxSwiftCommunity/RxCoreData
License MIT
Platforms ios 9.3, osx 10.12, watchos 3.0, tvos 9.0
Dependencies RxSwift, RxCocoa
Frameworks CoreData
Authors ,

CI Status
Version
License
Platform

Example

To run the example project, clone the repo, and run pod install from the Example directory first.

Requirements

  • Xcode 9.0
  • Swift 4.0

Installation

RxCoreData is available through CocoaPods. To install
it, simply add the following line to your Podfile:

pod "RxCoreData", "~> 0.5.1"

Author

Scott Gardner, [email protected]

License

RxCoreData is available under the MIT license. See the LICENSE file for more info.

Latest podspec

{
    "name": "RxCoreData",
    "version": "1.0.0",
    "summary": "RxSwift extensions for Core Data",
    "description": "Provides types and extensions for working with Core Data. For example, you can create and hook up a Core Data request to a table view with just a few lines of code:n```let fetchRequest = NSFetchRequest(entityName: "User")nnfetchRequest.predicate = NSPredicate(query: "username CONTAINS[cd] %@", searchTerm)nnfetchRequest.sortDescriptors = [NSSortDescriptor(key: "username", ascending: true)]nnmanagedObjectContext.rx_entities(fetchRequest)n.bindTo(tableView.rx_itemsWithDataSource(animatedDataSource))n.addDisposableTo(disposeBag)```",
    "homepage": "https://github.com/RxSwiftCommunity/RxCoreData",
    "license": {
        "type": "MIT",
        "file": "LICENSE.md"
    },
    "authors": {
        "Scott Gardner": "[email protected]",
        "RxSwift Community": "[email protected]"
    },
    "source": {
        "git": "https://github.com/RxSwiftCommunity/RxCoreData.git",
        "tag": "1.0.0"
    },
    "social_media_url": "https://twitter.com/scotteg",
    "platforms": {
        "ios": "9.3",
        "osx": "10.12",
        "watchos": "3.0",
        "tvos": "9.0"
    },
    "source_files": "Sources/**/*.{swift}",
    "exclude_files": [
        "Sources/*.{plist}",
        "Sources/**/*.{plist}"
    ],
    "frameworks": "CoreData",
    "swift_version": "5.0",
    "dependencies": {
        "RxSwift": [
            "~> 5.0"
        ],
        "RxCocoa": [
            "~> 5.0"
        ]
    }
}

Pin It on Pinterest

Share This